Package org.tanukisoftware.wrapper

# Class WrapperServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.tanukisoftware.wrapper.WrapperServiceException

All Implemented Interfaces:
  `Serializable`

public class WrapperServiceException extends Exception
WrapperServiceExceptions are thrown when the Wrapper is unable to obtain information on a requested service.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
Returns the error code.
`String`
`toString()`
Return string representation of the Exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getErrorCode

public int getErrorCode()
Returns the error code.

Returns:
  The error code.

### toString

public String toString()
Return string representation of the Exception.

Overrides:
  `toString` in class `Throwable`
Returns:
  String representation of the Exception.